PEBBLE-CHALLTESTSRV(1)

NAME
pebble-challtestsrv - ACME challenge mock server

SYNOPSIS
pebble [-defaultIPv4 string] [-defaultIPv6 string] [-dns01 string] [-http01 string] [-https01 string] [-management string] [-tlsalpn01 string]

DESCRIPTION
pebble-challtestsrv is a utility that responds to HTTP-01, DNS-01, and TLS-ALPN-01 ACME challenges. It can also be used as a mock DNS server letting developers mock `A`, `AAAA`, `CNAME`, and `CAA` DNS data for specific hostnames.

Important note: The `pebble-challtestsrv` utility is for TEST USAGE ONLY. It is trivially insecure, offering no authentication whatsoever. Only use this library in a controlled test environment.

OPTIONS

-defaultIPv4 string
    Default IPv4 address for mock DNS responses to A queries (default "127.0.0.1")

-defaultIPv6 string
    Default IPv6 address for mock DNS responses to AAAA queries (default "::1")

-dns01 string
    Comma separated bind addresses/ports for DNS-01 challenges and fake DNS data. Set empty to disable. (default ":8053")

-http01 string
    Comma separated bind addresses/ports for HTTP-01 challenges. Set empty to disable. (default ":5002")

-https01 string
    Comma separated bind addresses/ports for HTTPS HTTP-01 challenges. Set empty to disable. (default ":5003")

-management string
    Bind address/port for management HTTP interface (default ":8055")

-tlsalpn01 string
    Comma separated bind addresses/ports for TLS-ALPN-01 and HTTPS HTTP-01 challenges. Set empty to disable. (default ":5001")